#include "QuantumSimulator.h"

#include "QuantumCircuit.h"

const QuantumState& QuantumSimulator::getInputState() const
{
	return mInputState;
}

const QuantumState& QuantumSimulator::getOutputState() const
{
	return mOutputState;
}

void QuantumSimulator::setCircuit(QuantumCircuit* circuit)
{
	mCircuit = circuit;
}

void QuantumSimulator::run()
{
	mInputState = mCircuit->getInputState();

	mOutputState = mInputState;
}